/*
 * Copyright (c) 2002/2003, Simon Brown
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *
 *   - Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 *
 *   - Neither the name of TagUnit nor the names of its contributors may
 *     be used to endorse or promote products derived from this software
 *     without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package org.tagunit;

/**
 * Contains some constants used within the framework.
 *
 * @author    Simon Brown
 */
public final class Constants {

  /** the name of the request scoped attribute used to store the test context manager */
  public static final String TEST_CONTEXT = "org.tagunit.testContext";

  /** the name of the request scoped attribute used to store the test context manager */
  public static final String TEST_CONTEXT_MANAGER = "org.tagunit.testContextManager";

  /** the name of the session scoped variable in which the test results are stored */
  public static final String TEST_RESULTS = "org.tagunit.testResults";

  /** the name of the ServletContext attribute used to look up the container provided temporary directory (from the Java Servlets 2.3 specification **/
  public static final String CONTAINER_PROVIDED_TEMPORARY_DIRECTORY = "javax.servlet.context.tempdir";

  /** the name of the request scoped attribute for the name of the tag to be tested */
  public static final String TAG_TO_BE_TESTED = "org.tagunit.tagToBeTested";
}