package org.tagunit.tagext.html;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * A custom tag that outputs a HTML base element.
 *
 * @author    Simon Brown
 */
public class BaseTag extends TagSupport {

  /**
   * Implementation from the Tag interface - this is called when the opening tag
   * is encountered.
   *
   * @return  an integer specifying what to do afterwards
   * @throws  JspException    if something goes wrong
   */
  public int doStartTag() throws JspException {

    HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();

    try {
      JspWriter out = pageContext.getOut();

      StringBuffer base = new StringBuffer();
      base.append("<base href=\"");

      if (request.isSecure()) {
        base.append("https://");
      } else {
        base.append("http://");
      }

      base.append(request.getServerName());
      base.append(":");
      base.append(request.getServerPort());
      base.append(request.getRequestURI());
      base.append("\">");

      out.write(base.toString());
    } catch (IOException ioe) {
      throw new JspTagException(ioe.getMessage());
    }

    return SKIP_BODY;
  }

}