<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<tagunit:assertEquals name="Simple loop with static content">
  <tagunit:actualResult><c:forEach var="i" begin="1" end="3">a</c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>aaa</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple loop with dynamic content">
  <tagunit:actualResult><c:forEach var="i" begin="1" end="3"><c:out value="${i}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>123</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple loop with dynamic content (begin=end)">
  <tagunit:actualResult><c:forEach var="i" begin="3" end="3"><c:out value="${i}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>3</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple stepped loop (begin=1, end=10, step=1)">
  <tagunit:actualResult><c:forEach var="i" begin="1" end="10" step="1"><c:out value="${i}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>12345678910</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple stepped loop (begin=1, end=10, step=2)">
  <tagunit:actualResult><c:forEach var="i" begin="1" end="10" step="2"><c:out value="${i}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>13579</tagunit:expectedResult>
</tagunit:assertEquals>

<tagunit:assertEquals name="Simple stepped loop (begin=0, end=10, step=2)">
  <tagunit:actualResult><c:forEach var="i" begin="0" end="10" step="2"><c:out value="${i}"/></c:forEach></tagunit:actualResult>
  <tagunit:expectedResult>0246810</tagunit:expectedResult>
</tagunit:assertEquals>