<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%@ page import="org.tagunit.test.SampleValueObject" %>

<%-- tests whether variable is added to application scope --%>
<c:set  var="application" scope="application" value="rahul"/>
<tagunit:assertPageContextAttribute name="application" type="java.lang.String" scope="application"/>

<%-- tests whether variable added to session scope --%>
<c:set  var="session" scope="session" value="rahul"/>
<tagunit:assertPageContextAttribute name="session" type="java.lang.String" scope="session"/>

<%-- tests whether variable added to request scope --%>
<c:set  var="request" scope="request" value="rahul"/>
<tagunit:assertPageContextAttribute name="request" type="java.lang.String" scope="request"/>

<%-- asserts if a attribute is  set in page context and ignores the value--%>
<c:set var="page"  scope="page" value="rahul"/>
<tagunit:assertPageContextAttribute name="page" type="java.lang.String" scope="page"/>

<%--    asserts if a attribute set in page context without the scope parameter in page scope
        Note that scope is not provided and assumes page scope. 
--%>
<c:set var="page1" value="rahul"/>
<tagunit:assertPageContextAttribute name="page1" type="java.lang.String"/>

<%-- Test for Syntax 2: Set the value of a scoped variable using body content
tests whether the variable BodyContentTest_RequestScope in request scope has value of "body content"
--%>
<c:set var="BodyContentTest_RequestScope" scope="request">body content</c:set>
<tagunit:assertPageContextAttribute name="BodyContentTest_RequestScope" type="java.lang.String" value="body content"/>

<%--
Syntax 3: Set a property of a target object using attribute value 
--%>

<jsp:useBean id="vo1" class="org.tagunit.test.SampleValueObject" scope="page"/>
<c:set value="simon" target="${vo1}" property="name"/>
<tagunit:assertPageContextAttribute name="vo1" property="name" type="org.tagunit.test.SampleValueObject" value="simon"/>

<jsp:useBean id="map1" class="java.util.HashMap" scope="page"/>
<c:set value="simon" target="${map1}" property="name"/>
<tagunit:assertPageContextAttribute name="map1" property="name" type="java.util.HashMap" value="simon"/>

<%--Syntax 4: Set a property of a target object using body content--%>

<jsp:useBean id="vo2" class="org.tagunit.test.SampleValueObject" scope="page"/>
<c:set target="${vo2}" property="name">simon</c:set>
<tagunit:assertPageContextAttribute name="vo2" property="name" type="org.tagunit.test.SampleValueObject" value="simon"/>

<jsp:useBean id="map2" class="java.util.HashMap" scope="page"/>
<c:set target="${map2}" property="name">simon</c:set>
<tagunit:assertPageContextAttribute name="map2" property="name" type="java.util.HashMap" value="simon"/>